/*
** $Header: SRC:CVSROOT/Vector/ParNet/stream.h,v 1.1.1.1 1994/06/23 02:39:40 Barnard Exp $
*/

/*
** This code was originally written by Matthew Dillon and put into Public Domain
**
** All changes concerning the adaption of Matt's original code to the
** Vector Connection I/O board are  1991-1994 by Henning Schmiedehausen
** All rights for this changes are reserved. The original code is Public Domain
**
** This code is distributed with the expressed written permission of Matthew
** Dillon (Thank you very much, Matt)
**
*/

/*
 *  STREAM.H
 */

#define ST_DONE 	0   /*	no state			*/
#define ST_CONNECT1	1   /*	connect request      & ToPort	*/
#define ST_CONNECT2	2   /*	request acknowledged & FromPort */
#define ST_CONNECTD	3   /*	connect - data, begin stream	*/
#define ST_CONNECTF	4   /*	connect - fail			*/

#define ST_RMASK	0xF0	/*  retry   */
#define ST_RINCR	0x10
#define ST_RMAX 	0x20

typedef struct {
    ubyte   Cmd;
    ubyte   Reserved;
    uword   MyPort;
    uword   YourPort;
} StreamCmd;

